package com.bocloud.cmp.entity.enums.installation;

/**
 * @author 007
 */
public enum InstallStatus {
    /**
     * 装机成功提示信息
     */
    INSTALL_SUCCEED("装机成功"),
    /**
     * 装机中提示信息
     */
    INSTALLING("装机中"),
    /**
     * 装机取消提示信息
     */
    INSTALL_CANCELED("装机取消"),
    /**
     * 装机失败提示信息
     */
    INSTALL_FAILED("装机失败"),
    /**
     * 发现成功提示信息
     */
    DISCOVERY_SUCCEED("发现成功"),
    /**
     * 未发现提示信息
     */
    UNDISCOVERY("未发现"),
    /**
     * 发现中提示信息
     */
    DISCOVERYING("发现中"),
    /**
     * 发现失败提示信息
     */
    DISCOVERY_FAILED("发现失败"),

    /**
     * RAID配置成功
     */
    RAID_SUCCEDD("RAID配置成功"),

    /**
     * RAID配置失败
     */
    RAID_FAILED("RAID配置失败"),

    /**
     * RAID配置取消
     */
    RAID_CANCEL("RAID配置取消"),

    /**
     * RAID配置超时
     */
    RAID_TIMEOUT("RAID配置超时"),

    ;

    private final String text;

    InstallStatus(String text) {
        this.text = text;
    }

    public String getText() {
        return text;
    }
}
